# Uses of Class
javax.sound.sampled.Mixer.Info

Packages that use Mixer.Info
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.
javax.sound.sampled.spi
Supplies abstract classes for service providers to subclass when offering new audio devices, sound file readers and writers, or audio format converters.

## Uses of Mixer.Info in javax.sound.sampled

Methods in javax.sound.sampled that return Mixer.Info
Modifier and Type
Method
Description
`static Mixer.Info[]`
AudioSystem.`getMixerInfo()`
Obtains an array of mixer info objects that represents the set of audio mixers that are currently installed on the system.
`Mixer.Info`
Mixer.`getMixerInfo()`
Obtains information about this mixer, including the product's name, version, vendor, etc.
Methods in javax.sound.sampled with parameters of type Mixer.Info
Modifier and Type
Method
Description
`static Clip`
AudioSystem.`getClip(Mixer.Info mixerInfo)`
Obtains a clip from the specified mixer that can be used for playing back an audio file or an audio stream.
`static Mixer`
AudioSystem.`getMixer(Mixer.Info info)`
Obtains the requested audio mixer.
`static SourceDataLine`
AudioSystem.`getSourceDataLine(AudioFormat format, Mixer.Info mixerinfo)`
Obtains a source data line that can be used for playing back audio data in the format specified by the `AudioFormat` object, provided by the mixer specified by the `Mixer.Info` object.
`static TargetDataLine`
AudioSystem.`getTargetDataLine(AudioFormat format, Mixer.Info mixerinfo)`
Obtains a target data line that can be used for recording audio data in the format specified by the `AudioFormat` object, provided by the mixer specified by the `Mixer.Info` object.

## Uses of Mixer.Info in javax.sound.sampled.spi

Methods in javax.sound.sampled.spi that return Mixer.Info
Modifier and Type
Method
Description
`abstract Mixer.Info[]`
MixerProvider.`getMixerInfo()`
Obtains the set of info objects representing the mixer or mixers provided by this MixerProvider.
Methods in javax.sound.sampled.spi with parameters of type Mixer.Info
Modifier and Type
Method
Description
`abstract Mixer`
MixerProvider.`getMixer(Mixer.Info info)`
Obtains an instance of the mixer represented by the info object.
`boolean`
MixerProvider.`isMixerSupported(Mixer.Info info)`
Indicates whether the mixer provider supports the mixer represented by the specified mixer info object.